Bug 118900 - Test-QGEN: Error previewing template
Test-QGEN: Error previewing template
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-03-22 11:57 EST by Jon Orris
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 15:21:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-03-22 11:57:40 EST
Description of problem:
@41614/Oracle-se

Try to preview an article against new public tempate I created, and
get a CCM Error on the test-qgen branch.

Will get sql executed before error, and check to see if error appears
on trunk.
 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:bce068:fb737c9527 -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: container of
this.mapping.template.label is null -*-*-*-
-*-*-*- Message 2: java.lang.IllegalStateException: container of
this.mapping.template.label is null -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party ID: 262
Email address: author@cms.com
Family name: Author
Given name: Joe
Screen name: null

-*-*-*- Section: System properties -*-*-*-
ccm.conf: /var/ccm-devel/web/jorris/test-qgen/conf/registry
ccm.home: /var/ccm-devel/web/jorris/test-qgen
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.jar:/usr/share/java/servletapi4.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/var/ccm-devel/web/jorris/test-qgen/webapps/WEB-INF/system:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/test-qgen/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-9.0.1.EL
path.separator: :
resin.home: /var/ccm-devel/web/jorris/test-qgen
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /var/ccm-devel/web/jorris/test-qgen
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true
waf.workflow.simple.alerts_sender: jorris@redhat.com

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalStateException: container of
this.mapping.template.label is null
	at com.redhat.persistence.RecordSet.load(RecordSet.java:167)
	at com.redhat.persistence.Cursor.next(Cursor.java:119)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:644)
	at
com.arsdigita.persistence.DataQueryDecorator.next(DataQueryDecorator.java:75)
	at
com.arsdigita.toolbox.ui.DataTable$DataQueryTableModel.nextRow(DataTable.java:784)
	at com.arsdigita.bebop.Table.generateXML(Table.java:697)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at
com.arsdigita.bebop.SegmentedPanel$Segment.generateXML(SegmentedPanel.java:241)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at
com.arsdigita.bebop.SegmentedPanel.generateXML(SegmentedPanel.java:155)
	at com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:80)
	at com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:65)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
	at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
	at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
	at com.arsdigita.bebop.Page.generateXML(Page.java:642)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:765)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:75)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:171)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:206)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:190)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:272)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/vnd.ms-powerpoint, application/vnd.ms-excel,
application/msword, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=aEWzFqlboMBh;
ad_user_login=262!1174582315333!Jz1UIS7YhCu9IO1VnJkE9Q==
Host: goodeats.boston.redhat.com:9002
Referer: http://goodeats.boston.redhat.com:9002/ccm/content/admin/item.jsp
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@14bfaa4 = {
m_page = com.arsdigita.cms.ui.ContentItemPage@a576b2,
m_request = com.caucho.server.http.DispatchRequest@b60cd9,
m_response = com.caucho.server.http.HttpResponse@1342fe8,
m_pageState = com.arsdigita.bebop.FormData@135408e = {
m_parameterDataValues = {bbp.2924.row={null, []}, bbp.1740.col={null,
[]}, bbp.2258.row={null, []}, bbp.3509.sel={null, []},
bbp.987.col={null, []}, bbp.642.row={null, []}, bbp.3114.sel={null,
[]}, bbp.1445.sel={null, []},
com.arsdigita.cms.contenttypes.Job_properties_done={null, []},
com.arsdigita.cms.contenttypes.Article_image_done={null, []},
bbp.3485.col={null, []}, bbp.3429.sel={null, []}, bbp.1119.col={null,
[]},
com.arsdigita.cms.contenttypes.PressRelease_properties_done={null,
[]}, bbp.2822.type={null, []}, bbp.2256.sel={null, []},
bbp.3109.row={null, []}, bbp.604.col={null, []}, bbp.9.stack={null,
[]}, bbp.1648.row={null, []}, bbp.3251.row={null, []},
bbp.2231.sel={null, []}, bbp.838.sel={null, []}, bbp.3460.stack={null,
[]}, bbp.1320.link={null, []}, bbp.1917.col={null, []},
bbp.41.col={null, []}, bbp.1157.row={null, []}, bbp.1170.sel={null,
[]}, bbp.3500.o={null, []}, bbp.2225.image_asset={null, []},
bbp.79.row={null, []}, bbp.1218.sel={null, []}, bbp.1396.row={null,
[]}, bbp.357.col={null, []},
com.arsdigita.cms.contenttypes.Article_properties_done={null, []},
com.arsdigita.cms.Template_properties_done={null, []}, page={null,
[]}, bbp.1898.col={null, []}, bbp.1827.stack={null, []},
moveSection={null, []}, bbp.84.sel={null, []}, bbp.3037.row={null,
[]}, contentItem_itemOID={null, []}, bbp.929.row={null, []},
com.arsdigita.cms.contenttypes.Event_properties_done={null, []},
bbp.738.col={null, []}, bbp.98.col={null, []}, bbp.s={null, []},
bbp.468.row={null, []}, bbp.1993.row={null, []}, bbp.2924.col={null,
[]}, bbp.1308.sel={null, []}, bbp.2319.sel={null, []},
bbp.1721.col={null, []}, bbp.238.sel={null, []}, bbp.2481.type={null,
[]}, bbp.2733.col={null, []}, g11n.enc={UTF-8, []},
bbp.2455.row={null, []}, bbp.2170.col={null, []}, bbp.1269.kw={null,
[]}, bbp.1382.sel={null, []}, bbp.1406.stack={null, []},
bbp.1552.row={null, []}, bbp.1458.sel={null, []}, bbp.3359.sel={null,
[]}, bbp.2438.col={null, []}, bbp.3042.sel={null, []},
bbp.2315.ps={20, []}, bbp.3368.sel={null, []}, bbp.184.sel={212, []},
bbp.3200.col={null, []}, bbp.3003.sel={null, []}, single_type={null,
[]}, bbp.1250.sel={null, []}, bbp.1520.sel={null, []},
bbp.2208.sel={null, []}, bbp.1136.col={null, []}, bbp.1157.col={null,
[]}, bbp.2941.link={null, []}, bbp.3.pane={6, []}, bbp.1475.col={null,
[]}, bbp.1101.sel={null, []}, bbp.1283.col={null, []},
bbp.197.sel={null, []}, bbp.2153.col={null, []}, bbp.1396.col={null,
[]}, bbp.3514.mid={null, []}, bbp.2460.sel={null, []},
bbp.951.sel={null, []}, bbp.1432.row={null, []}, bbp.3291.row={null,
[]}, bbp.1041.col={null, []}, bbp.726.row={null, []},
bbp.366.sel={220, []}, bbp.1281.sel={null, []}, bbp.3418.col={null,
[]}, bbp.260.col={null, []}, bbp.3188.sel={null, []},
bbp.3030.stack={null, []}, bbp.1492.row={null, []},
bbp.391.control={null, []}, bbp.987.row={null, []},
bbp.2943.col={null, []}, bbp.2341.col={null, []}, bbp.1517.row={null,
[]}, bbp.1876.sel={null, []}, bbp.1557.sel={null, []},
bbp.2559.row={null, []}, bbp.1022.row={null, []}, bbp.1657.sel={197,
[]}, bbp.228.sel={null, []}, bbp.1977.sel={null, []},
bbp.3020.row={null, []}, bbp.3029.sel={249, []}, content_type={null,
[]}, bbp.277.link={null, []}, bbp.3343.sel={null, []},
bbp.3200.row={null, []}, item={null, []}, bbp.1322.col={null, []},
bbp.398.type={null, []}, bbp.3128.col={null, []}, bbp.1552.col={null,
[]}, bbp.1435.sel={null, []}, bbp.3395.sel={null, []},
bbp.2252.ps={20, []}, bbp.e={null, []}, bbp.v={null, []},
bbp.3251.col={null, []}, bbp.1418.sel={null, []}, bbp.265.sel={null,
[]}, bbp.946.row={null, []}, bbp.1413.row={null, []},
bbp.2061.sel={null, []}, bbp.2013.sel={null, []}, bbp.2420.sel={null,
[]}, bbp.2637.col={null, []}, bbp.195.sel={null, []},
bbp.2163.stack={null, []}, bbp.1475.row={null, []}, bbp.912.sel={null,
[]}, bbp.1416.sel={null, []}, bbp.1658.stack={null, []},
bbp.1686.col={null, []}, bbp.1898.row={null, []}, bbp.1699.sel={null,
[]}, bbp.850.link={null, []}, bbp.1206.kw={null, []},
bbp.1571.col={null, []}, bbp.2229.chim={null, []}, bbp.1484.sel={192,
[]}, bbp.2195.col={null, []}, bbp.225.col={null, []},
com.arsdigita.cms.formbuilder.FormItem_properties_done={null, []},
bbp.3059.col={null, []}, bbp.24.col={null, []}, bbp.2307.kw={null,
[]}, bbp.1817.row={null, []}, bbp.2003.stack={null, []}, root={null,
[]}, com.arsdigita.cms.contenttypes.Minutes_properties_done={null,
[]}, bbp.3514.d={asc, []}, bbp.3126.link={null, []},
bbp.949.sel={null, []}, bbp.3468.col={null, []}, bbp.1214.ps={20, []},
bbp.1283.row={null, []}, bbp.3407.stack={null, []},
bbp.2559.col={null, []}, bbp.3383.sel={null, []}, bbp.1668.sel={null,
[]}, bbp.1000.sel={null, []}, bbp.1239.chim={null, []},
bbp.1817.col={null, []}, bbp.2175.sel={null, []}, bbp.3109.col={null,
[]}, bbp.1220.col={null, []}, bbp.2056.row={null, []},
bbp.2015.sel={null, []}, bbp.1863.row={null, []}, bbp.2135.sel={null,
[]}, bbp.2170.row={null, []}, bbp.3281.row={null, []},
bbp.2002.sel={216, []}, bbp.3500.col={null, []}, bbp.2073.link={null,
[]}, bbp.1569.link={null, []}, bbp.44.sel={null, []},
bbp.1834.col={null, []}, bbp.1187.image_asset={null, []},
bbp.3485.row={null, []}, bbp.1665.col={null, []},
bbp.3220.stack={null, []}, bbp.833.row={null, []}, bbp.2733.row={null,
[]}, bbp.1800.sel={null, []}, bbp.1432.col={null, []},
bbp.1915.link={null, []},
com.arsdigita.cms.contenttypes.NewsItem_properties_done={null, []},
bbp.852.col={null, []},
com.arsdigita.cms.contenttypes.LegalNotice_properties_done={null, []},
bbp.2695.col={null, []}, bbp.1726.sel={null, []}, bbp.46.sel={null,
[]}, bbp.2637.row={null, []}, bbp.2173.sel={null, []},
bbp.2075.col={null, []}, bbp.2010.row={null, []}, bbp.1648.col={null,
[]}, bbp.2321.col={null, []}, bbp.175.row={null, []},
bbp.642.col={null, []}, bbp.3020.col={null, []}, bbp.3291.col={null,
[]}, bbp.946.col={null, []}, bbp.2929.sel={null, []},
streamlined_creation={null, []}, bbp.175.col={null, []},
bbp.1277.ps={20, []}, bbp.2346.sel={null, []}, bbp.468.col={null, []},
bbp.3281.col={null, []}, bbp.1517.col={null, []},
bbp.2474.control={null, []}, bbp.3327.sel={null, []}, bbp.3200.d={asc,
[]}, bbp.374.row={null, []}, bbp.41.row={null, []},
bbp.3059.row={null, []}, bbp.1027.sel={null, []}, bbp.379.sel={null,
[]}, bbp.79.col={null, []}, imageParam={null, []}, bbp.3500.c={null,
[]}, bbp.990.sel={null, []}, bbp.1160.sel={null, []},
bbp.2360.col={null, []}, bbp.1665.row={null, []}, bbp.2153.row={null,
[]}, bbp.1119.row={null, []}, bbp.1530.sel={null, []}, mode={null,
[]},
com.arsdigita.cms.contenttypes.MultiPartArticle_properties_done={null,
[]}, bbp.367.stack={null, []}, bbp.2458.sel={null, []},
bbp.1139.sel={null, []}, bbp.1492.col={null, []}, bbp.377.sel={null,
[]}, bbp.3514.col={null, []}, bbp.1834.row={null, []},
bbp.1022.col={null, []}, bbp.1129.stack={null, []}, bbp.7.stack={null,
[]}, textParam={null, []}, bbp.2829.col={null, []}, bbp.1405.sel={463,
[]}, bbp.374.col={null, []}, bbp.1495.sel={null, []},
bbp.1303.row={null, []}, bbp.1839.sel={null, []}, bbp.158.sel={null,
[]}, bbp.260.row={null, []}, bbp.1128.sel={243, []},
bbp.1303.col={null, []}, bbp.731.type={null, []}, bbp.3514.o={null,
[]}, bbp.2447.sel={237, []}, bbp.1866.sel={null, []},
bbp.3418.row={null, []}, bbp.1220.row={null, []}, bbp.3240.col={null,
[]}, bbp.1039.link={null, []}, bbp.2695.row={null, []},
bbp.2198.sel={null, []}, bbp.2162.sel={226, []}, bbp.1136.row={null,
[]}, bbp.3217.stack={null, []}, bbp.939.stack={null, []},
bbp.1738.link={null, []}, bbp.3500.d={asc, []}, bbp.2195.row={null,
[]}, bbp.1686.row={null, []}, bbp.1993.col={null, []},
bbp.2455.col={null, []}, bbp.1863.col={null, []},
bbp.1485.stack={null, []}, bbp.1670.sel={null, []},
bbp.3240.row={null, []}, bbp.2448.stack={null, []}, bbp.24.row={null,
[]}, bbp.192.col={null, []}, bbp.3523.sel={null, []},
bbp.3040.sel={null, []}, bbp.279.col={null, []},
com.arsdigita.cms.formbuilder.FormSectionItem_properties_done={null,
[]}, bbp.2358.link={null, []}, bbp.2244.kw={null, []},
bbp.1837.sel={null, []}, bbp.2321.row={null, []}, bbp.3037.col={null,
[]}, bbp.357.row={null, []}, bbp.33.sel={202, []}, bbp.2288.sel={null,
[]}, bbp.1721.row={null, []}, bbp.8.stack={null, []},
bbp.1689.sel={null, []}, bbp.2010.col={null, []}, bbp.1631.sel={null,
[]}, bbp.2277.chim={null, []}, bbp.96.link={null, []},
bbp.1903.sel={null, []},
com.arsdigita.cms.contenttypes.Agenda_properties_done={null, []},
com.arsdigita.cms.contenttypes.NewsItem_image_done={null, []},
bbp.2056.col={null, []}, bbp.546.col={null, []}, bbp.339.sel={null,
[]}, bbp.1413.col={null, []}, bbp.2438.row={null, []},
com.arsdigita.cms.contenttypes.Service_properties_done={null, []},
return_url={null, []}, bbp.1193.sel={null, []}, bbp.1826.sel={206,
[]}, bbp.3200.o={null, []}, bbp.833.col={null, []},
bbp.34.stack={null, []}, bbp.192.row={null, []}, bbp.546.row={null,
[]}, bbp.1191.chim={null, []}, bbp.2341.row={null, []}, bbp.i={{4, 10,
16, 167, 347, 920, 1109, 1390, 1466, 1639, 1808, 1985, 2143, 2428,
3011, 3506, 3507}, []}, bbp.185.stack={null, []}, bbp.225.row={null,
[]}, bbp.604.row={null, []}, bbp.1141.sel={null, []},
bbp.929.col={null, []}, bbp.3468.row={null, []}, bbp.1497.sel={null,
[]}, bbp.2258.col={null, []}, bbp.2817.row={null, []},
bbp.938.sel={232, []}, item_id={471, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@1213061,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 5, 6, 7, 8, 9, 17, 18, 19, 35, 36, 37, 40, 67, 76,
124, 125, 126, 132, 166, 168, 169, 170, 186, 187, 188, 191, 223, 224,
248, 257, 305, 306, 307, 313, 348, 349, 350, 351, 352, 368, 369, 370,
373, 393, 394, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417,
418, 419, 420, 728, 743, 744, 745, 746, 747, 821, 830, 878, 879, 880,
886, 921, 922, 923, 924, 940, 941, 942, 945, 985, 986, 1010, 1019,
1067, 1068, 1069, 1075, 1110, 1111, 1112, 1113, 1114, 1130, 1131,
1132, 1135, 1155, 1156, 1180, 1190, 1191, 1205, 1215, 1237, 1238,
1239, 1268, 1278, 1300, 1348, 1349, 1350, 1356, 1391, 1407, 1408,
1409, 1412, 1430, 1431, 1467, 1468, 1469, 1470, 1486, 1487, 1488,
1491, 1515, 1516, 1540, 1549, 1597, 1598, 1599, 1605, 1640, 1641,
1642, 1643, 1659, 1660, 1661, 1664, 1684, 1685, 1709, 1718, 1766,
1767, 1768, 1774, 1809, 1810, 1811, 1812, 1828, 1829, 1830, 1833,
1861, 1862, 1886, 1895, 1943, 1944, 1945, 1951, 1986, 1987, 1988,
2004, 2005, 2006, 2009, 2044, 2053, 2101, 2102, 2103, 2109, 2144,
2145, 2146, 2147, 2148, 2164, 2165, 2166, 2169, 2193, 2194, 2218,
2228, 2229, 2243, 2253, 2275, 2276, 2277, 2306, 2316, 2338, 2386,
2387, 2388, 2394, 2429, 2430, 2431, 2432, 2433, 2449, 2450, 2451,
2454, 2476, 2477, 2498, 2499, 2500, 2501, 2502, 2503, 2504, 2505,
2506, 2507, 2508, 2509, 2510, 2511, 2819, 2834, 2835, 2836, 2837,
2838, 2912, 2921, 2969, 2970, 2971, 2977, 3012, 3013, 3014, 3015,
3031, 3032, 3033, 3036, 3054, 3055, 3056, 3057, 3097, 3106, 3154,
3155, 3156, 3162, 3212, 3213, 3214, 3215, 3216, 3218, 3219, 3220,
3221, 3222, 3223, 3224, 3258, 3259, 3260, 3261, 3402, 3403, 3404,
3405, 3408, 3409, 3458, 3459, 3460, 3478, 3479, 3493, 3506, 3507}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@5bf112=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@536c63=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@bf57bb=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1dc6ea0=true,
com.arsdigita.bebop.RequestLocal@1b195ee=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@18cefd=true,
com.arsdigita.bebop.RequestLocal@5bb455=null,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@192159=[com.arsdigita.cms.contenttypes.Agenda:{id=471}],
com.arsdigita.bebop.RequestLocal@1638c57=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@f0d9cd=true,
com.arsdigita.bebop.RequestLocal@14f90ec=null,
com.arsdigita.bebop.RequestLocal@9392c9=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@6b2236=true,
com.arsdigita.bebop.RequestLocal@1e28d29=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@e57c8a=true,
com.arsdigita.bebop.RequestLocal@83628c=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@ff7b04=true,
com.arsdigita.toolbox.ui.ContextBar$1@1f1b104=[com.arsdigita.toolbox.ui.ContextBar$Entry@17d260d,
com.arsdigita.toolbox.ui.ContextBar$Entry@14d3aea,
com.arsdigita.toolbox.ui.ContextBar$Entry@156eedb],
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@a07387=true,
com.arsdigita.bebop.RequestLocal@1d3fd22=null,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@bf0f=true,
com.arsdigita.bebop.Page$1@9c58b3=com.arsdigita.bebop.Label@5b9ab6,
com.arsdigita.bebop.RequestLocal@a19b68=null,
com.arsdigita.bebop.Table$3@8fcc52=com.arsdigita.cms.ui.templates.ItemTemplatesListing$ItemTemplatesListingTableModel@a376d,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@e2cf6e=true,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@1932a51=true}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=69}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@ed4cc8
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@17005bf=null}
com.arsdigita.kernel.ACSObject:471:
[com.arsdigita.cms.contenttypes.Agenda:{id=471}]
com.arsdigita.web.BaseApplicationServlet.application_id: 69
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/item.jsp?bbp.33.sel=202&bbp.3.pane=1&bbp.1277.ps=20&bbp.2252.ps=20&bbp.v=6&bbp.e=select&bbp.s=3&bbp.1128.sel=243&bbp.2002.sel=216&bbp.3200.d=asc&bbp.2447.sel=237&bbp.366.sel=220&bbp.2162.sel=226&g11n.enc=UTF-8&bbp.1826.sel=206&bbp.3500.d=asc&bbp.i=d0.4.2.a.1.46.1.4z.1.fw.1.58.1.7s.1.23.1.4s.1.4o.1.4w.1.4d.1.7w.1.g6.1&bbp.1484.sel=192&bbp.1657.sel=197&bbp.2315.ps=20&bbp.184.sel=212&bbp.3029.sel=249&bbp.938.sel=232&bbp.3514.d=asc&bbp.1214.ps=20&item_id=471&bbp.1405.sel=463
xmlMode: false

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/admin/item.jsp
Query string:
app-id=69&bbp.s=3&g11n.enc=UTF-8&bbp.2315.ps=20&bbp.184.sel=212&bbp.3.pane=1&bbp.366.sel=220&bbp.1657.sel=197&bbp.3029.sel=249&bbp.2252.ps=20&bbp.e=select&bbp.v=6&bbp.1484.sel=192&bbp.3514.d=asc&bbp.1214.ps=20&bbp.2002.sel=216&bbp.1277.ps=20&bbp.3200.d=asc&bbp.1405.sel=463&bbp.1128.sel=243&bbp.2447.sel=237&bbp.2162.sel=226&bbp.3500.d=asc&bbp.33.sel=202&bbp.1826.sel=206&bbp.i=d0.4.2.a.1.46.1.4z.1.fw.1.58.1.7s.1.23.1.4s.1.4o.1.4w.1.4d.1.7w.1.g6.1&bbp.938.sel=232&item_id=471
Method: GET
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aEWzFqlboMBh (expires: -1)
ad_user_login: 262!1174582315333!Jz1UIS7YhCu9IO1VnJkE9Q== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2004-03-22 12:01:27 EST
SQL output below. 

One correction: This did not occur previewing the item against the
template, just clicking the 'Templates' tab for the Content Item.


2004-03-22 11:59:23,273 [002-0] INFO  rdbms.RDBMSEngine -
[com.arsdigita.cms.Template]
2004-03-22 11:59:23,273 [002-0] INFO  rdbms.RDBMSEngine - [VARCHAR]
2004-03-22 11:59:23,274 [002-0] INFO  rdbms.RDBMSEngine - {}
2004-03-22 11:59:23,312 [002-0] INFO  rdbms.RDBMSEngine - Executing
query(sort(this = sql
{com.arsdigita.cms.templatesInUseContextsWithType}, sql
{this.useContext}), this_mapping_id0 = this.mapping.id,
this_mapping_objectType1 = this.mapping.objectType, this_useContext2 =
this.useContext, this_mimeType_mimeType3 = this.mimeType.mimeType,
this_mimeType_objectType4 = this.mimeType.objectType,
this_mimeType_javaClass5 = this.mimeType.javaClass,
this_mapping_template_label6 = this.mapping.template.label,
this_mapping_template_id7 = this.mapping.template.id,
this_mapping_template_object8 = this.mapping.template.objectType,
this_mapping_template_name9 = this.mapping.template.name,
this_mimeType_label10 = this.mimeType.label, this_mapping_item_id11 =
this.mapping.item.id, this_mapping_item_objectType12 =
this.mapping.item.objectType, this_mimeType_fileExtension13 =
this.mimeType.fileExtension)
2004-03-22 11:59:23,321 [002-0] INFO  rdbms.RDBMSEngine - select
t3.mapping_id as "this_mapping_id0",
       t18.object_type as "this_mapping_objectType1",
       t3.use_context as "this_useContext2",
       t3.mime_type as "this_mimeType_mimeType3",
       t3.object_type as "this_mimeType_objectType4",
       t3.java_class as "this_mimeType_javaClass5",
       t3.label as "this_mapping_template_label6",
       t3.template_id as "this_mapping_template_id7",
       t44.object_type as "this_mapping_template_object8",
       t3.name as "this_mapping_template_name9",
       t3.mime_label as "this_mimeType_label10",
       t3.item_id as "this_mapping_item_id11",
       t62.object_type as "this_mapping_item_objectType12",
       t3.file_extension as "this_mimeType_fileExtension13"
from (
    select 
      c.use_context, 
      c.mime_type, c.mime_label,
      c.file_extension, c.java_class, c.object_type,
      c.label, c.description,
      x.mapping_id, x.template_id, x.name, x.label as contextLabel,
      x.item_id
    from
      (select mime_type, cms_mime_types.label as mime_label,
              file_extension, java_class, object_type,
              use_context, c.label, description
         from cms_template_use_contexts c, cms_mime_types
        where cms_mime_types.mime_type in (?,?)) c,
      (select
         m.mapping_id, m.template_id, m.use_context, 
         ti.name, ti.item_id, tt.label, mime_types.mime_type
       from
         cms_item_template_map m, cms_items ti, cms_templates tt,
cms_assets,
         cms_mime_types mime_types
       where m.item_id = ?
         and ti.item_id = m.template_id
         and tt.template_id = m.template_id
         and cms_assets.asset_id = tt.template_id
         and mime_types.mime_type = cms_assets.mime_type
      ) x
    where c.use_context = x.use_context(+)
      and c.mime_type = x.mime_type(+)) t3
left join acs_objects t18 on t3.mapping_id = t18.object_id
left join acs_objects t44 on t3.template_id = t44.object_id
left join acs_objects t62 on t3.item_id = t62.object_id
order by t3.use_context
2004-03-22 11:59:23,324 [002-0] INFO  rdbms.RDBMSEngine - [text/xml,
text/x-jsp, 471]
2004-03-22 11:59:23,324 [002-0] INFO  rdbms.RDBMSEngine - [VARCHAR,
VARCHAR, NUMERIC]
2004-03-22 11:59:23,324 [002-0] INFO  rdbms.RDBMSEngine - {}
2004-03-22 11:59:23,473 [002-0] FATAL logging.ErrorReport - 
Comment 2 Jon Orris 2004-03-22 12:30:27 EST
Works on the trunk.
Comment 3 Jon Orris 2004-03-22 16:06:20 EST
Tested with Archit's suggested fix on Oracle. Need to verify postgres
& check with Randy.

[jorris@goodeats test-qgen]$ p4 diff
//cms/dev/pdl/com/arsdigita/content-section/query-templatesInUseContextsWithType.ora.pdl
====
//cms/dev/pdl/com/arsdigita/content-section/query-templatesInUseContextsWithType.ora.pdl#1
-
/var/ccm-devel/dev/jorris/test-qgen/cms/pdl/com/arsdigita/content-section/query-templatesInUseContextsWithType.ora.pdl
====
29,30c29,30
<       c.label, c.description,
<       x.mapping_id, x.template_id, x.name, x.label as contextLabel,
---
>       c.description,
>       x.mapping_id, x.template_id, x.name, x.label,
35c35
<               use_context, c.label, description
---
>               use_context,  description
Comment 4 Randy Graebner 2004-03-22 17:44:51 EST
This fix should not cause any negative side effects as it is the fix
that I used on my machine while testing...I am not sure how I managed
to revert the file to the pre-fix state before checking it in.  So, we
should be ok with the given fix.  

That being said, I think that persistence should give a better error
message or just work on this query.  The subquery that is being
changed has a column named "c.label"  and a column of
"cms_mime_types.label as mime_label" and it appears that persistence
is ignoring the "as mime_label" during the processing or something
like that.  But, regardless of the cause, I think that Persistence
should either give a nicer error or be able to handle the situation.
Comment 5 Jon Orris 2004-03-23 15:21:12 EST
Fixed @41645

Note You need to log in before you can comment on or make changes to this bug.